=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2008-03-17 21:58:47 +0000
+++ bzrlib/builtins.py	2008-03-19 01:43:43 +0000
@@ -2666,7 +2666,7 @@
             print '   %s (%s python%s)' % (
                     bzrlib.__path__[0],
                     bzrlib.version_string,
-                    '.'.join(map(str, sys.version_info)),
+                    bzrlib._format_version_tuple(sys.version_info),
                     )
         print
         if testspecs_list is not None:

=== modified file 'bzrlib/trace.py'
--- bzrlib/trace.py	2008-02-16 10:03:17 +0000
+++ bzrlib/trace.py	2008-03-19 01:43:43 +0000
@@ -437,7 +437,7 @@
     err_file.write('\n')
     err_file.write('bzr %s on python %s (%s)\n' % \
                        (bzrlib.__version__,
-                        '.'.join(map(str, sys.version_info)),
+                        bzrlib._format_version_tuple(sys.version_info),
                         sys.platform))
     err_file.write('arguments: %r\n' % sys.argv)
     err_file.write(

=== modified file 'bzrlib/version.py'
--- bzrlib/version.py	2007-10-16 17:37:43 +0000
+++ bzrlib/version.py	2008-03-19 01:40:18 +0000
@@ -57,7 +57,7 @@
         python_dll = "python%d%d.dll" % sys.version_info[:2]
         to_file.write(os.path.join(basedir, python_dll) + ' ')
     # and now version of python interpreter
-    to_file.write('.'.join(map(str, sys.version_info)))
+    to_file.write(bzrlib._format_version_tuple(sys.version_info))
     to_file.write('\n')
 
     to_file.write("  Python standard library:" + ' ')

